Post by webjobs » Sun Sep 12, 2021 7:41 am

as we all know that version 2.x is the most stable version for opencart, i don't want to migrate to 3.x as the sites on 2.x runs just fine and it has apps etc.
so is 2.x going to work perfectly on php 8.x or 7.4 php versioN? let me know if any one of you is running OC 2.x in PHP 8.x version

abandoned cart from isenseLan doesnt work on php 8.x or even php 7.4

New member

Posts

Joined
Fri Mar 01, 2019 8:27 am

Post by straightlight » Sun Sep 12, 2021 8:00 pm

webjobs wrote:
Sun Sep 12, 2021 7:41 am
as we all know that version 2.x is the most stable version for opencart, i don't want to migrate to 3.x as the sites on 2.x runs just fine and it has apps etc.
so is 2.x going to work perfectly on php 8.x or 7.4 php versioN? let me know if any one of you is running OC 2.x in PHP 8.x version

abandoned cart from isenseLan doesnt work on php 8.x or even php 7.4
Without modification or without the use of an already modified version, at this time, it won't. Should further modifications be done due to limitations on upgrading to the latest release, you could always create a new service request in the Commercial Support section of the forum to get this done as a custom job.

Dedication and passion goes to those who are able to push and merge a project.

Regards,
Straightlight
Programmer / Opencart Tester


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by windows95 » Sat Sep 18, 2021 3:54 am

like straightlight said, its probably going to have to be done manually for a while. At least on my 2.2.0.0 store, that's what it took when i went from 7.3 (or 7.2 i don't recall which php version it was before) to 7.4 and encountered a bunch of "deprecated" (by manually modifying a few lines on various core files)

Currently, its in production on PHP 7.4.23 at the moment with now issues so far (crossing fingers. Log files look happy). Before that, it was running smooth on PHP 7.4.11 since late October 2020.


Ive been playing around with 8.0.10 on a developmental box and its not liking it too much at the moment. About 95% of the site is still functional. A bunch of issues with arrays, string + int, etc.

Newbie

Posts

Joined
Wed Aug 16, 2017 6:22 am

Post by straightlight » Sat Sep 18, 2021 4:55 am

windows95 wrote:
Sat Sep 18, 2021 3:54 am
like straightlight said, its probably going to have to be done manually for a while. At least on my 2.2.0.0 store, that's what it took when i went from 7.3 (or 7.2 i don't recall which php version it was before) to 7.4 and encountered a bunch of "deprecated" (by manually modifying a few lines on various core files)

Currently, its in production on PHP 7.4.23 at the moment with now issues so far (crossing fingers. Log files look happy). Before that, it was running smooth on PHP 7.4.11 since late October 2020.


Ive been playing around with 8.0.10 on a developmental box and its not liking it too much at the moment. About 95% of the site is still functional. A bunch of issues with arrays, string + int, etc.
Better to further evaluate on the master branch version, in this case.

Dedication and passion goes to those who are able to push and merge a project.

Regards,
Straightlight
Programmer / Opencart Tester


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by Lazaro023 » Tue Sep 28, 2021 6:29 pm

There is also an issue with backwards compatibility if you implement PHP 8.0 union types, as this will break on sites running PHP 7.4 or below. The reality is that unless you are going to withdraw support for PHP 5.6 for your code, then PHP types should not be used.

Newbie

Posts

Joined
Wed Aug 04, 2021 7:25 pm

Post by webjobs » Sat May 07, 2022 9:53 pm

Hey guys any one tried and had success with 8.x
the pentest team has flagged our 2.x opencart website using old php
so upgraded version 2.x to latest php is a must for us now ,
any experiences shared will be appreciated

New member

Posts

Joined
Fri Mar 01, 2019 8:27 am

Post by straightlight » Sat May 07, 2022 9:57 pm

webjobs wrote:
Sat May 07, 2022 9:53 pm
Hey guys any one tried and had success with 8.x
the pentest team has flagged our 2.x opencart website using old php
so upgraded version 2.x to latest php is a must for us now ,
any experiences shared will be appreciated
You could try the maintenance branch on the Github Opencart repository but take note that the master branch version is the package fully supporting PHP 8.x releases but it's still under development. Take note that OC v2.x and OC v3.x both do not officially support PHP v8.x releases from opencart.com at this time.

Dedication and passion goes to those who are able to push and merge a project.

Regards,
Straightlight
Programmer / Opencart Tester


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by IP_CAM » Sat May 07, 2022 10:20 pm

you could try this one, to be able to use PHP v.8.x:
https://github.com/IP-CAM/Opencart-v.2. ... -PHP-v.8.1

xxvirusxx is a well-known OC-Dev around here, and active as condor2 on Github

My Github OC Site: https://github.com/IP-CAM
5'000 + FREE OC Extensions, on the World's largest Github OC Repository Archive Site.


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by webjobs » Tue May 10, 2022 9:08 am

we spent the last 2 days upgrading to 8.1 for 2.x and so far so good and we now updatingt he apis to make sure the apps dont crash
from wednesday we will start 3.x to upgrades to 8.1

New member

Posts

Joined
Fri Mar 01, 2019 8:27 am

Post by Majnoon » Sun Nov 27, 2022 1:10 pm

webjobs wrote:
Tue May 10, 2022 9:08 am
we spent the last 2 days upgrading to 8.1 for 2.x and so far so good and we now updatingt he apis to make sure the apps dont crash
from wednesday we will start 3.x to upgrades to 8.1
Was you able to update 3.x to 8.1?
Mind sharing here what was done?

Active Member
Online

Posts

Joined
Fri Feb 05, 2021 8:29 pm

Post by IP_CAM » Mon Nov 28, 2022 12:18 am

This is the latest OC v.3.x Version, capable to use PHP v.8.x
https://github.com/opencart/opencart-3

My Github OC Site: https://github.com/IP-CAM
5'000 + FREE OC Extensions, on the World's largest Github OC Repository Archive Site.


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by ADD Creative » Mon Nov 28, 2022 6:03 am

Far easier to use the 3.0.x.x_Maintenance branch.

viewtopic.php?t=230005#p850521

www.add-creative.co.uk


Expert Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom

Post by straightlight » Mon Nov 28, 2022 8:12 am

I haven't seen where it was more complicated than other repositories from Github Opencart to install the opencart v3.0.3.9 release ...

Dedication and passion goes to those who are able to push and merge a project.

Regards,
Straightlight
Programmer / Opencart Tester


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by ADD Creative » Mon Nov 28, 2022 6:09 pm

straightlight wrote:
Mon Nov 28, 2022 8:12 am
I haven't seen where it was more complicated than other repositories from Github Opencart to install the opencart v3.0.3.9 release ...
The question was about updating. Since the opencart-3 branch will be incompatible with themes and a lot of extensions, it would be far easier to use the 3.0.x.x_Maintenance branch.

www.add-creative.co.uk


Expert Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom

Post by straightlight » Tue Nov 29, 2022 5:12 am

ADD Creative wrote:
Mon Nov 28, 2022 6:09 pm
straightlight wrote:
Mon Nov 28, 2022 8:12 am
I haven't seen where it was more complicated than other repositories from Github Opencart to install the opencart v3.0.3.9 release ...
The question was about updating. Since the opencart-3 branch will be incompatible with themes and a lot of extensions, it would be far easier to use the 3.0.x.x_Maintenance branch.
It will not be incompatible with themes nor with updated extensions.

Dedication and passion goes to those who are able to push and merge a project.

Regards,
Straightlight
Programmer / Opencart Tester


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON
Who is online

Users browsing this forum: Google [Bot] and 3 guests